# Data Processing

Below are the specific function codes for functionality&#x20;

## Data Input

Specify the data sources, this functionality can take database connection or CSV file or JSON file

{% content-ref url="/pages/1Hn1hMsFg5ajfAIDc0k1" %}
[Data Input (DP\_1)](/autogon-engine-studio/data-processing/data-input-dp_1.md)
{% endcontent-ref %}

## Missing Data

This functionality handles missing data using various techniques. e.g mean, mode and more

{% content-ref url="/pages/pTxQtOOJaUkHaiBw2hsd" %}
[Missing Data (DP\_2)](/autogon-engine-studio/data-processing/missing-data-dp_2.md)
{% endcontent-ref %}

## Data Encoding

This functionality converts data to a recognizable format through encoding. Supported techniques include one-hot, label and categorical encoding.

{% content-ref url="/pages/KYS7VTlgMhHNn8o6sl5L" %}
[Data Encoding (DP\_3)](/autogon-engine-studio/data-processing/data-encoding-dp_3.md)
{% endcontent-ref %}

## Data Split

This functionality splits data into two subsets: a training set and a test set. The training set is used to train a model, while the test set is used to evaluate its performance.

{% content-ref url="/pages/v2pqMBk0BDs2r5YK9kuK" %}
[Data Split (DP\_4)](/autogon-engine-studio/data-processing/data-split-dp_4.md)
{% endcontent-ref %}

## Feature Scaling

This functionality normalizes the range of values for different features in the dataset.

{% content-ref url="/pages/Uk52hbKFHK8fBzVKnDYO" %}
[Feature Scaling (DP\_5)](/autogon-engine-studio/data-processing/feature-scaling-dp_5.md)
{% endcontent-ref %}

## Drop Data Column

This functionality drops specified multiple columns on the X and Y columns.

{% content-ref url="/pages/kc35gPiaTVf0W9nXTV4v" %}
[Drop Columns (DP\_6)](/autogon-engine-studio/data-processing/drop-columns-dp_6.md)
{% endcontent-ref %}

## Time Stepper

This functionality enables you to transform your data into a time series format.

{% content-ref url="/pages/EMPKVDBb9rNWFeSjr6JO" %}
[Time Stepper (DP\_7)](/autogon-engine-studio/data-processing/time-stepper-dp_7.md)
{% endcontent-ref %}

{% hint style="info" %}
**Good to know:** Using the 'Page Link' block lets you link directly to a page. If this page's name, URL or parent location changes, the reference will be kept up to date. You can also mention a page – like [Broken mention](broken://pages/bc4ToVvOSidfb8Vv304g) – if you don't w/sant a block-level link.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/data-processing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
